#ifndef IPCCONNECTION_H
#define IPCCONNECTION_H

#include <QObject>

class QLocalSocket;

class IPCConnection : public QObject
{
	Q_OBJECT
public:
	IPCConnection(QLocalSocket *parent);

	QLocalSocket *parent();

public slots:
	void sendMessage(const QByteArray &msg);

protected slots:
	void readLine();

signals:
	void message(const QByteArray &msg);
};

#endif // IPCCONNECTION_H
