#ifndef STORCMD_H
#define STORCMD_H

#include <QObject>
#include "ipfile.h"
#include "serverthread.h"

class UserID;

class STORcmd : public QObject
{
	Q_OBJECT
public:
	STORcmd(const UserID &uid, const QString &filename, bool append, ServerThread *parent = 0);
	~STORcmd();

	ServerThread *parent() const;

public slots:
	void readData();
	void disconnected();
signals:
	void finished();
	void activity();

protected:
	IPFile file;
	int k;
	bool dead;
};

#endif // STORCMD_H
