#ifndef UTILS_H
#define UTILS_H

template<class T>
	inline typename T::value_type max(const T &container)
	{
		typename T::value_type m = *container.begin();
		for(typename T::const_iterator i = container.begin() ; i != container.end() ; ++i)
			if (m < *i)
				m = *i;
		return m;
	}

template<class T>
	inline typename T::value_type min(const T &container)
	{
		typename T::value_type m = *container.begin();
		for(typename T::const_iterator i = container.begin() ; i != container.end() ; ++i)
			if (m > *i)
				m = *i;
		return m;
	}

#endif // UTILS_H
