#ifndef BONJOURRECORD_H
#define BONJOURRECORD_H

#include <QMetaType>

class BonjourRecord
{
public:
    BonjourRecord();
	BonjourRecord(const QString &name, const QString &regType, const QString &domain);
	BonjourRecord(const char *name, const char *regType, const char *domain);

	bool operator==(const BonjourRecord &other) const;

public:
	QString serviceName;
	QString registeredType;
	QString replyDomain;
};

Q_DECLARE_METATYPE(BonjourRecord)

#endif // BONJOURRECORD_H
