#include "userid.h"
#include <QCryptographicHash>

UserID::UserID()
{}

UserID::UserID(const QString &login, const QString &password) : login(login), password(QCryptographicHash::hash(password.toUtf8(), QCryptographicHash::Sha1).toHex())
{
}

UserID::UserID(const QString &login, const QByteArray &password) : login(login), password(password)
{

}
